.\" Manual page for viewvc-standalone(1)
.\" Copyright (C) 2010, John Zaitseff
.\"
.\" This page is released under the GNU General Public License, version 2
.\" or later.
.\"
.TH VIEWVC-STANDALONE 1 2010-04-01
.SH NAME
viewvc-standalone \- run a simple stand-alone HTTP server for ViewVC
.SH SYNOPSIS
.B viewvc-standalone
.RI [ options ]
.SH DESCRIPTION
Run a simple, standalone HTTP server configured to serve up ViewVC
requests.
.SH OPTIONS
.TP
\fB\-c\fR, \fB\-\-config\-file\fR=\fIPATH\fR
Use the file at \fIPATH\fR as the ViewVC configuration file.  If not
specified, ViewVC will try to use the configuration file in its
installation tree; otherwise, built-in default values are used.  This
option is not valid in GUI mode.
.TP
\fB\-d\fR, \fB\-\-daemon\fR
Background the server process.
.TP
\fB\-h\fR, \fB\-\-host\fR=\fIHOST\fR
Start the server listening on \fIHOST\fR.  You need to provide the
hostname if you want to access the standalone server from a remote
machine.  The default is \fIlocalhost\fR.
.TP
\fB\-p\fR, \fB\-\-port\fR=\fIPORT\fR
Start the server on the given \fIPORT\fR.  The default is \fI49152\fR.
.TP
\fB\-r\fR, \fB\-\-repository\fR=\fIPATH\fR
Serve up the Subversion or CVS repository located at \fIPATH\fR.  This
option may be used more than once.
.TP
\fB\-s\fR, \fB\-\-script\-alias\fR=\fIPATH\fR
Specify the ScriptAlias, the artificial path location that at which
ViewVC appears to be located.  For example, if your ScriptAlias is
\fIcgi-bin/viewvc\fR, then ViewVC will be accessible at
\fIhttp://localhost:49152/cgi-bin/viewvc\fR.  The default is
\fIviewvc\fR.
.TP
\fB\-g\fR, \fB\-\-gui
Pop up a graphical interface for serving and testing ViewVC.  Note: this
requires a valid X11 display connection.
.SH FILES
.I /etc/viewvc/viewvc.conf
.SH SEE ALSO
ViewVC web site, http://www.viewvc.org/.
.SH AUTHORS
.B viewvc-standalone
was written by the ViewVC Group.  A complete list of authors may be
obtained at http://www.viewvc.org/.
.PP
This manual page was written by John Zaitseff <J.Zaitseff@zap.org.au> for
the Debian project.  It is distributed under the GNU General Public
License, version 2 or later, and may be used under that licence by
others.
